# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::CallMessage Class Reference

`#include <message.h>`

Inheritance diagram for DBus::CallMessage:

## Public Member Functions

| CallMessage ()
| CallMessage (const char *dest, const char *path, const char *iface, const char *method)
const char * | interface () const
bool | interface (const char *i)
const char * | member () const
bool | member (const char *m)
const char * | path () const
char ** | path_split () const
bool | path (const char *p)
const char * | signature () const
bool | operator== (const CallMessage &) const
Public Member Functions inherited from DBus::Message
| Message (Private *, bool incref=true)
| Message (const Message &m)
| ~Message ()
Message & | operator= (const Message &m)
Message | copy ()
int | type () const
int | serial () const
int | reply_serial () const
bool | reply_serial (int)
const char * | sender () const
bool | sender (const char *s)
const char * | destination () const
bool | destination (const char *s)
bool | is_error () const
bool | is_signal (const char *interface, const char *member) const
MessageIter | reader () const
MessageIter | writer ()
bool | append (int first_type,...)
void | terminate ()

## Additional Inherited Members

Protected Member Functions inherited from DBus::Message
| Message ()
Protected Attributes inherited from DBus::Message
RefPtrI< Private > | _pvt

## Detailed Description

Definition at line 268 of file message.h.

## Constructor & Destructor Documentation

## ◆ CallMessage() [1/2]

CallMessage::CallMessage | ( |  | ) |

Definition at line 574 of file message.cpp.

References DBus::Message::_pvt.

Referenced by operator==().

## ◆ CallMessage() [2/2]

CallMessage::CallMessage | ( | const char * | dest,
|  | const char * | path,
|  | const char * | iface,
|  | const char * | method )

Definition at line 579 of file message.cpp.

References DBus::Message::_pvt, and path().

## Member Function Documentation

## ◆ interface() [1/2]

const char * CallMessage::interface | ( |  | ) | const

Definition at line 589 of file message.cpp.

References DBus::Message::_pvt.

Referenced by DBus::InterfaceProxy::invoke_method(), DBus::InterfaceProxy::invoke_method_noreply(), and operator==().

## ◆ interface() [2/2]

bool CallMessage::interface | ( | const char * | i | ) |

Definition at line 594 of file message.cpp.

References DBus::Message::_pvt.

## ◆ member() [1/2]

const char * CallMessage::member | ( |  | ) | const

Definition at line 599 of file message.cpp.

References DBus::Message::_pvt.

Referenced by DBus::InterfaceAdaptor::dispatch_method(), DBus::ObjectAdaptor::handle_message(), DBus::IntrospectableProxy::Introspect(), and operator==().

## ◆ member() [2/2]

bool CallMessage::member | ( | const char * | m | ) |

Definition at line 604 of file message.cpp.

References DBus::Message::_pvt.

## ◆ operator==()

bool CallMessage::operator== | ( | const CallMessage & | m | ) | const

Definition at line 584 of file message.cpp.

References DBus::Message::_pvt, CallMessage(), interface(), and member().

## ◆ path() [1/2]

const char * CallMessage::path | ( |  | ) | const

Definition at line 609 of file message.cpp.

References DBus::Message::_pvt.

Referenced by DBus::ObjectProxy::_invoke_method(), DBus::ObjectProxy::_invoke_method_noreply(), and CallMessage().

## ◆ path() [2/2]

bool CallMessage::path | ( | const char * | p | ) |

Definition at line 621 of file message.cpp.

References DBus::Message::_pvt.

## ◆ path_split()

char ** CallMessage::path_split | ( |  | ) | const

Definition at line 614 of file message.cpp.

References DBus::Message::_pvt.

## ◆ signature()

const char * CallMessage::signature | ( |  | ) | const

Definition at line 626 of file message.cpp.

References DBus::Message::_pvt.

The documentation for this class was generated from the following files:

- message.h
- message.cpp